package cordova.plugins;

import org.apache.cordova.CordovaWebView;
import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.CordovaInterface;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;


public class checkMeInterface extends CordovaPlugin{

	@Override
	public void initialize(CordovaInterface cordova, CordovaWebView webView) {
		super.initialize(cordova, webView);
		// your init code here
	}

	@Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
        try {
            if (action.equals("initBTUtils")){
                callbackContext.success( startBTutilsBind());
            }else {
                 System.out.println("Invalid action");
                return false;
            }
        }catch(Exception e ) {
            System.out.println("Exception occurred: ".concat(e.getMessage()));
            return false;
        }
        return true;
    }
    
    public String startBTutilsBind(){
        return "OK -  starting bind process";
    }

}